Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qdml2qjml
Class QDML2QJML

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport
            |
            +--com.jxml.quick.ocm.OCMcontextSupport
                  |
                  +--com.jxml.quick.util.qdml2qjml.QDML2QJML

All Implemented Interfaces:
  Item, OCMbase, OCMsink, OCMsource

public class QDML2QJML
extends OCMcontextSupport

Inner Class Summary
`class` | `QDML2QJML.SubQdml2Qjml`

Inner classes inherited from class com.jxml.quick.ocm.OCMcontextSupport
`OCMcontextSupport.SubContextSupport`

Inner classes inherited from class com.jxml.quick.ocm.OCMsinkSupport
`OCMsinkSupport.SubSinkSupport`

Inner classes inherited from class com.jxml.quick.ocm.OCMsource
`OCMsource.SubSource`

Inner classes inherited from class com.jxml.quick.ocm.OCMbase
`OCMbase.SubBase`

Inner classes inherited from class com.jxml.quick.ocm.OCMsink
`OCMsink.SubSink`

Fields inherited from class com.jxml.quick.ocm.OCMcontextSupport
`factory, PUBLIC, rootTag, schemaName, SYSTEM`

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport
`expressDefaults, genNbr, prefix, source, validator`

Constructor Summary
`QDML2QJML()`

Method Summary
`OCMbase.SubBase` | `spawn(HashMap prior)` Creates a processing structure.

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport
`createSink, createSink, eval, exec, setSource, setValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QDML2QJML

    public QDML2QJML()

Method Detail

### spawn

    public OCMbase.SubBase spawn(HashMap prior)

  Description copied from interface: `OCMbase`
  Creates a processing structure.
  Overrides:
    `spawn` in class `OCMcontextSupport`
  Following copied from interface: `com.jxml.quick.ocm.OCMbase`
  Parameters:
    `prior` - A table of already spawned objects, keyed by their base object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD